Bug 537321 - samba: plug-in delete multiple share resource fail
samba: plug-in delete multiple share resource fail
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
x86_64 Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: RHQ_Config 545691
  Show dependency treegraph
 
Reported: 2009-11-13 01:08 EST by Rajan Timaniya
Modified: 2010-02-17 08:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-17 08:00:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exception screenshot (124.61 KB, image/png)
2009-11-13 01:08 EST, Rajan Timaniya
no flags Details

  None (edit)
Description Rajan Timaniya 2009-11-13 01:08:18 EST
Created attachment 369374 [details]
exception screenshot

Description of problem:
samba: plug-in delete multiple share resource fail

Version-Release number of selected component (if applicable):
version: 1.4.0-SNAPSHOT


How reproducible:


Steps to Reproduce:
1. Log in to imanage
2. Click on Overview and then Dashboard
3. Click on 'Samba Server' under the 'Recently Added  
     Resources'
4. Click on 'INVENTORY' and select the option 
    'OVERVIEW'
5. In 'Child Resources' there is selection box to select 
     '- Samba Share' or 'Services'. Select '- Samba Share' 
     and click on 'OK' button
6. To create new samba share, input given below 
     values and then click on 'SUBMIT' button
     Resource Name: testrajan1
     Name: testrajan1
7. To create new samba share, input given below 
     values and then click on 'SUBMIT' button
     Resource Name: testrajan2
     Name: testrajan2
8. Select samba share resources (i.e. 'testrajan1' and 	      
     'testrajan2') for delete
   
   iManage only delete one resource (i.e. 'testrajan1') remaining resources     
   listed under the head of 'Child Resources'

9. Again try to delete the share resource which was not delete durring multiple 
   share resource delete operation (i.e. delete 'testrajan2')
  
Actual results:
Delete multiple share resource fail with following exception:
Failed to delete resource: 10802. Cause: javax.ejb.EJBException:java.lang.RuntimeException: Error while sending delete resource request to agent service -> java.lang.RuntimeException:Error while sending delete resource request to agent service -> org.rhq.core.clientapi.agent.PluginContainerException:Resource component container could not be retrieved for resource: 10802

Expected results:
Delete multiple share resources functionality should work 

Additional info:
Comment 1 wes hayutin 2010-02-16 11:57:40 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:02:35 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Sudhir D 2010-02-17 08:00:13 EST
This functionality is working now and so marking it as closed.

Note You need to log in before you can comment on or make changes to this bug.